

PalladiumEvents.registerAnimations((event) => {
    event.register('heroes/geo_armor_strike', 15, (builder) => {
		 if (abilityUtil.isEnabled(builder.getPlayer(), "heroes:base_power", "Right_Hand")) {
		 if (abilityUtil.isEnabled(builder.getPlayer(), "heroes:geokinetic_armor", "Geokinetic_Smash_Anim")) {
const progress = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'heroes:geokinetic_armor', 'Geokinetic_Smash_Anim', builder.getPartialTicks(), 0, 4);
if (progress > 0.0 && !builder.isFirstPerson()) {


                builder.get('right_arm')
       		  .setZ(4)
             	  .setXRotDegrees(-90)
        		.setYRotDegrees(0)
        		.setZRotDegrees(0)
                    .animate('InOutCubic', progress);
    	builder.get('left_arm')
       	 .setXRotDegrees(-26)
        	.setYRotDegrees(-5)
        	.setZRotDegrees(5)
        	.animate('InOutCubic', progress);
                builder.get('body')
        		.rotateYDegrees(-45)
                    .animate('InOutCubic', progress);
                builder.get('head')
        		.rotateYDegrees(-45)
                    .animate('InOutCubic', progress);
	}
if (progress > 0.0 && builder.isFirstPerson()) {


                builder.get('right_arm')
       		  .setY(-2)
                    .animate('InOutCubic', progress);
		}
	}
}

 if (abilityUtil.isEnabled(builder.getPlayer(), "heroes:base_power", "Left_Hand")) {
	 if (abilityUtil.isEnabled(builder.getPlayer(), "heroes:geokinetic_armor", "Geokinetic_Smash_Anim")) {
const progress = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'heroes:geokinetic_armor', 'Geokinetic_Smash_Anim', builder.getPartialTicks(), 0, 4);
if (progress > 0.0 && !builder.isFirstPerson()) {

                builder.get('left_arm')
       		  .setZ(4)
             	  .setXRotDegrees(-90)
        		.setYRotDegrees(0)
        		.setZRotDegrees(0)
                    .animate('InOutCubic', progress);
    	builder.get('right_arm')
       	 .setXRotDegrees(-26)
        	.setYRotDegrees(5)
        	.setZRotDegrees(-5)
        	.animate('InOutCubic', progress);
                builder.get('body')
        		.rotateYDegrees(45)
                    .animate('InOutCubic', progress);
                builder.get('head')
        		.rotateYDegrees(45)
                    .animate('InOutCubic', progress);
	}
if (progress > 0.0 && builder.isFirstPerson()) {


                builder.get('left_arm')
       		  .setY(-2)
                    .animate('InOutCubic', progress);
		}
	}
}
if (abilityUtil.isEnabled(builder.getPlayer(), "heroes:geokinetic_armor", "Geo_Disc_Form")) {
if (!builder.isFirstPerson()) {

                builder.get('left_leg')
        		.setXRotDegrees(0);
				builder.get('right_leg')
        		.setXRotDegrees(10);
	}
}
    });
});

